<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class AccCurrencyCurrency extends Eloquent {

	protected $table = 'Acc_currency_currency';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('currency_id', 'currency_revaluation_id', 'realized_gain', 'user_id');

	public function currency_revaluation()
	{
		return $this->belongsTo('AccCurrencyRevaluation', 'currency_revaluation_id');
	}

	public function currency()
	{
		return $this->belongsTo('AccCurrency', 'currency_id');
	}

	public function user()
	{
		return $this->belongsTo('User', 'user_id');
	}

}