<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class AccCurrencyExchange extends Eloquent {

	protected $table = 'acc_currency_exchange';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('date', 'currency_id', 'rate', 'transaction', 'user_id');

	public function currency()
	{
		return $this->belongsTo('AccCurrency', 'currency_id');
	}

	public function transactions()
	{
		return $this->hasMany('AccCurrencyExchangeTransaction', 'currency_exchange_id');
	}

}