<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class AccCurrencyExchangeTransaction extends Eloquent {

	protected $table = 'acc_currency_exchange_transaction';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('date', 'base_amount', 'exchange_amount', 'currency_exchange_id', 'user_id');

	public function currency_exchange()
	{
		return $this->belongsTo('AccCurrencyExchange', 'currency_exchange_id');
	}

	public function user()
	{
		return $this->belongsTo('User', 'user_id');
	}

}