<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class AccCurrencyRevaluation extends Eloquent {

	protected $table = 'acc_currency_revaluation';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('date', 'total_item', 'total_gain', 'unrealized_gain', 'description', 'user_id');

	public function items()
	{
		return $this->hasMany('AccCurrencyRevaluationaItem', 'currency_revaluation_id');
	}

	public function currencies()
	{
		return $this->hasMany('AccCurrencyCurrency', 'currency_revaluation_id');
	}

	public function user()
	{
		return $this->belongsTo('User', 'user_id');
	}

}