<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class AccForecast extends Eloquent {

	protected $table = 'acc_forecast';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('user_id', 'date', 'repeat', 'growth', 'description', 'amount', 'status');

	public function items()
	{
		return $this->hasMany('AccItem', 'forecast_id');
	}

	public function user()
	{
		return $this->belongsTo('User', 'user_id');
	}

}