<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class AccInventory extends Eloquent {

	protected $table = 'acc_inventory';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('name_en', 'name_ar', 'user_id');

	public function user()
	{
		return $this->belongsTo('User', 'user_id');
	}

	public function inventory_items()
	{
		return $this->belongsToMany('AccInventoryItem', 'inventory_item_id', 'inventory_id', 'inventory_item_amount_id');
	}

}