<?php

namespace Api;

use Illuminate\Database\Eloquent\SoftDeletingTrait;

class AccReportingCategory extends Eloquent {

	protected $table = 'acc_reporting_category';
	public $timestamps = true;

	use SoftDeletingTrait;

	protected $dates = ['deleted_at'];
	protected $fillable = array('user_id', 'category_id', 'name_en', 'name_ar');

	public function user()
	{
		return $this->belongsTo('User', 'user_id');
	}

	public function category()
	{
		return $this->belongsTo('AccReportingCategoryType', 'category_id');
	}

}